# Uses of Class
org.eclipse.jdt.core.dom.ModuleModifier

Packages that use ModuleModifier
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of ModuleModifier in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return ModuleModifier
Modifier and Type
Method
Description
`ModuleModifier`
AST.`newModuleModifier(ModuleModifier.ModuleModifierKeyword keyword)`
Creates and returns a new unparented module modifier node for the given module modifier.
Methods in org.eclipse.jdt.core.dom with parameters of type ModuleModifier
Modifier and Type
Method
Description
`void`
ASTVisitor.`endVisit(ModuleModifier node)`
End of visit the given type-specific AST node.
`boolean`
ASTMatcher.`match(ModuleModifier node, Object other)`
Returns whether the given node and the other object match.
`boolean`
ASTVisitor.`visit(ModuleModifier node)`
Visits the given type-specific AST node.